curl --request GET \
--url https://api-stage.karmacheck.io/service/cplc/id/{cplcId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-stage.karmacheck.io/service/cplc/id/{cplcId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-stage.karmacheck.io/service/cplc/id/{cplcId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "041c0aa6-2d64-48d0-b672-83bfcd10d47f",
"name": "CFP",
"category": "Finance",
"enabled": true,
"crStamp": "2021-08-05T18:01:34.000Z",
"modStamp": "2021-08-05T18:01:34.000Z",
"fields": [
{
"id": "413b926c-57f0-401a-9d9f-1af89f70607a",
"fieldId": "lastName",
"cplcId": "041c0aa6-2d64-48d0-b672-83bfcd10d47f",
"label": "Last Name as on License",
"required": true,
"displayLabel": "Last Name as on License",
"crStamp": "2021-08-05T18:01:34.000Z",
"modStamp": "2024-05-21T14:14:02.000Z",
"ordinal": 6,
"placeholder": "Doe"
},
{
"id": "54cfa3aa-dd76-4627-8fa9-dcbea5fc5c37",
"fieldId": "middleInitial",
"cplcId": "041c0aa6-2d64-48d0-b672-83bfcd10d47f",
"label": "Middle Initial as on License",
"required": false,
"displayLabel": "Middle Initial as on License",
"crStamp": "2021-08-05T18:01:34.000Z",
"modStamp": "2024-05-21T14:14:02.000Z",
"ordinal": 5,
"placeholder": "B"
},
{
"id": "74bfafba-972e-4a61-a308-7252eadd2e79",
"fieldId": "licenseNumber",
"cplcId": "041c0aa6-2d64-48d0-b672-83bfcd10d47f",
"label": "License/Cert # or ID",
"required": true,
"displayLabel": "License/Cert # or ID",
"crStamp": "2021-08-05T18:01:34.000Z",
"modStamp": "2024-05-21T14:14:02.000Z",
"ordinal": 2,
"placeholder": "1234ABC-12"
},
{
"id": "7ea4e04d-a6e4-49d2-8c14-d08834279766",
"fieldId": "firstName",
"cplcId": "041c0aa6-2d64-48d0-b672-83bfcd10d47f",
"label": "First Name as on License",
"required": true,
"displayLabel": "First Name as on License",
"crStamp": "2021-08-05T18:01:34.000Z",
"modStamp": "2024-05-21T14:14:02.000Z",
"ordinal": 4,
"placeholder": "Jane"
},
{
"id": "ce1bc678-a5fa-47a9-bae8-b6310268e058",
"fieldId": "state",
"cplcId": "041c0aa6-2d64-48d0-b672-83bfcd10d47f",
"label": "State Where Issued",
"required": false,
"displayLabel": "State Where Issued",
"crStamp": "2021-08-05T18:01:34.000Z",
"modStamp": "2024-05-21T14:14:02.000Z",
"ordinal": 1,
"placeholder": "CA"
},
{
"id": "cf71fbad-8025-498c-82fd-c0fd54fb5aea",
"fieldId": "additionalInfo",
"cplcId": "041c0aa6-2d64-48d0-b672-83bfcd10d47f",
"label": "Other Info Provided",
"required": false,
"displayLabel": "Other Info Provided",
"crStamp": "2021-08-05T18:01:34.000Z",
"modStamp": "2024-05-21T14:14:02.000Z",
"ordinal": 9,
"placeholder": "Any additional information"
},
{
"id": "e1460773-fac4-4df7-8ad5-994f2a54064e",
"fieldId": "issueDate",
"cplcId": "041c0aa6-2d64-48d0-b672-83bfcd10d47f",
"label": "Issued/Completed Date",
"required": false,
"displayLabel": "Issued/Completed Date",
"crStamp": "2021-08-05T18:01:34.000Z",
"modStamp": "2024-05-21T14:14:02.000Z",
"ordinal": 7,
"placeholder": "01/01/2000"
},
{
"id": "e943f10d-1c2c-4f82-b1ea-1978b2f09063",
"fieldId": "expirationDate",
"cplcId": "041c0aa6-2d64-48d0-b672-83bfcd10d47f",
"label": "Expiration/Renewal Date",
"required": false,
"displayLabel": "Expiration/Renewal Date",
"crStamp": "2021-08-05T18:01:34.000Z",
"modStamp": "2024-05-21T14:14:02.000Z",
"ordinal": 8,
"placeholder": "01/01/2030"
},
{
"id": "f1969299-906a-4942-8dac-d8cf1dc94290",
"fieldId": "certifyingBody",
"cplcId": "041c0aa6-2d64-48d0-b672-83bfcd10d47f",
"label": "Certifying Body",
"required": true,
"displayLabel": "Certifying Body",
"crStamp": "2021-08-05T18:01:34.000Z",
"modStamp": "2024-05-21T14:14:02.000Z",
"ordinal": 0,
"placeholder": "American Heart Association"
}
]
}Get CPLC full definition
Returns an object describing a specific professional license or certification.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier [blocked] of a professional license or certification.
Response
OK
The unique identifier [blocked] of a professional license or certification.
The name [blocked] of the professional license or certification.
The category that the professional license or certification falls under.
Finance, General, Healthcare, Other True if verification of the professional license or certification is enabled in KarmaCheck; false otherwise.
"2021-08-06T02:08:35.000Z"
"2021-08-06T02:08:35.000Z"
Information about each field that's associated with the professional license or certification. Each field represents a specific piece of information, such as the issue date or completion date of the license or certification.
Show child attributes
Show child attributes